Page MenuHomePhabricator

Flow: javascript fails initializing in Topic namespace
Closed, ResolvedPublic

Description

Currently in wmf21 (Enwiki etc) if I'm on the page for a topic, clicking "reply" or clicking in the reply-field at the bottom, doesn't properly open the multi-line text field, nor provide the buttons for "cancel/preview/reply".

webconsole includes a big exception, starting off with:

"Exception thrown by ext.flow.new" load.php:161
"TypeError: FlowBoardComponent.UI.collapserState is not a function" TypeError: FlowBoardComponent.UI.collapserState is not a function
Stack trace:
FlowBoardComponent.UI.bindBoardHandlers@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=ext.flow.jquery.conditionalScroll%2CfindWithParent%7Cext.flow.new%2Ctemplating%7Cext.flow.new.handlebars%2Chistory%7Cext.flow.vendor.jquery.ba-throttle-debounce%7Cext.flow.vendor.storer&skin=vector&version=20140919T040439Z&*:52:662
[...]


Version: unspecified
Severity: normal

Details

Reference
bz71054

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:57 AM
bzimport set Reference to bz71054.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Sep 19 2014, 6:15 PM

gerritadmin wrote:

Change 161484 had a related patch set uploaded by EBernhardson:
Fix noop error on topic pages

https://gerrit.wikimedia.org/r/161484

  • Bug 71059 has been marked as a duplicate of this bug. ***

gerritadmin wrote:

Change 161484 merged by jenkins-bot:
Fix noop error on topic pages

https://gerrit.wikimedia.org/r/161484

gerritadmin wrote:

Change 161591 had a related patch set uploaded by Spage:
Update Flow with bug 71054 backport

https://gerrit.wikimedia.org/r/161591

gerritadmin wrote:

Change 161591 merged by jenkins-bot:
Update Flow with bug 71054 backport

https://gerrit.wikimedia.org/r/161591

Fixed and backported.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:32 AM